## INV Invert Matrix

Section: Transforms/Decompositions

### Usage

Inverts the argument matrix, provided it is square and invertible. The syntax for its use is

       y = inv(x)

Internally, the `inv` function uses the matrix divide operators. For sparse matrices, a sparse matrix solver is used.

### Example

Here we invert some simple matrices

    --> a = randi(zeros(3),5*ones(3))

    a =

     1 1 4
     1 0 1
     0 4 1

    --> b = inv(a)

    b =

       -0.3636    1.3636    0.0909
       -0.0909    0.0909    0.2727
        0.3636   -0.3636   -0.0909

    --> a*b

    ans =

        1.0000    0.0000         0
             0    1.0000    0.0000
             0         0    1.0000

    --> b*a

    ans =

        1.0000    0.0000    0.0000
             0    1.0000   -0.0000
             0         0    1.0000

    -->
    quit